Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
reports
/
serviceDistribution
Service Distribution
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/reports/serviceDistribution \
  --header 'token: <api-key>'
{
  "total": 123,
  "first": "<string>",
  "next": "<string>",
  "prev": "<string>",
  "last": "<string>",
  "count": 123,
  "offset": 123,
  "results": [
    {
      "sid": "<string>",
      "status": "<string>",
      "statusReason": "<string>",
      "billable": true,
      "schedulingModule": "<string>",
      "workflowModule": "<string>",
      "appointmentDate": "<string>",
      "dateClosed": "<string>",
      "dateCancelled": "<string>",
      "exam": {},
      "course": {},
      "user": {},
      "courseOffering": {},
      "serviceType": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$

Query Parameters

serviceTypes
enum<string>[]

Types of services to include in the report

Available options:
automated,
automated-with-review,
live,
virtual-test-center,
proctoru,
register-blast,
ad-hoc,
messaging
statuses
enum<string>[]

Statuses to include in the report

Available options:
Scheduled,
Closed,
Cancelled
courseOfferingSid
string

Course offering sid

Pattern: ^CO[a-f0-9]{32}$
courseSid
string

Course sid

Pattern: ^CU[a-f0-9]{32}$
courseTitle
string

Course title

courseCode
string

Course code

examTitle
string

Exam title

examSid
string

Exam sid

Pattern: ^EX[a-f0-9]{32}$
appointmentDateAfter
string

Appointments after date (inclusive)

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

appointmentDateBefore
string

Appointments before date (exclusive)

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

closeDateAfter
string

Close date after (inclusive)

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

closeDateBefore
string

Close date before (exclusive)

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

userSid
string

User sid

Pattern: ^US[a-f0-9]{32}$
billable
boolean

Filter by billable sessions

offset
integer

Result offset

Required range: x >= 0
limit
integer
default:50

Number of items to return

Required range: x >= 0
sortKeys
enum<string>[]

Key to sort by

Available options:
appointmentDate,
closeDate,
courseTitle,
examTitle
sortOrder
enum<string>
default:ASC

Sort order

Available options:
ASC,
DESC

Response

200 - application/json

Successful

total
number | null

Total results

first
string | null
next
string | null
prev
string | null
last
string | null
count
number | null
offset
number | null
results
object[]